(function($) {
	
	/**
	 * @class Notifier
	 */
	$.fg.Notifier = {
		
		/**
		 * Notify user with some message
		 * @param {string} message message of the notify
		 * @param {mixed} type type of the notify
		 * @param {mixed} options toastmessage options
		 * @return {void}
		 * @see assets/jquery/toastmessage/javascript/jquery.toastmessage.js
		 */
		add: function(message, type, options)
		{
			$().toastmessage('showToast', $.extend( {
				text     : message,
				position : 'top-right',
				type     : type,
				closeText: ''
			}, options || {} ));
		}
		
	};
	
})(jQuery);