/**
 * Created with JetBrains PhpStorm.
 * User: Andrey
 * Date: 2/26/13
 * Time: 1:08 PM
 * To change this template use File | Settings | File Templates.
 *
 * The script is used for filter input date,
 * it allows user to enter positive numbers only
 * and clears an input on focus if there is default value.
 */

jQuery(document).ready(function($) {


    //When user presses any keys and the target input is focused
    //the function below handles a date which he entering
    $(".positiveNumbersOnly").keypress (
    function(event)
    {
        var key, keyChar;
        if(!event) var event = window.event;

        if (event.keyCode) key = event.keyCode;
        else if(event.which) key = event.which;

        keyChar=String.fromCharCode(key);

        if($(this).val()=='' && keyChar==0)return false;

        if(!/([0-9])+/.test(keyChar)) return false;

    });
    //Functions below used for clear the input date,
    //when it get the focus and date is default
    $(".positiveNumbersOnly").focus(function(){
       if($(this).val()==0)$(this).val('');
    });
    $(".positiveNumbersOnly").blur(function(){
        if($(this).val()=='')$(this).val(0);
        $(this).val(trimLeadZeros($(this).val()));
    });
    $(".positiveNumbersOnly").removeAttr('disabled');

    function trimLeadZeros(value){
        while (value.substr(0,1) == 0 && value.length > 1){
            value = value.substr(1,5);
        }
        return value;
    }
});
