#!/bin/bash
# 
# Gentics Portal.Node PHP
# Author & Copyright (c) by Gentics Software GmbH
# sales@gentics.com
# http://www.gentics.com
# Licenses can be found in the LICENSE.txt file in the root-folder of this installation
# You must not use this software without a valid license agreement.
#
# Check necessary directory for write permission

BASEDIR="$( cd "$( dirname "$0" )" && pwd )"

if [ ! -w "$BASEDIR/../frontend/www/assets" ];
then
    echo "/frontend/www/assets not writable.";
elif [ ! -w "$BASEDIR/../common/runtime" ];
then
    echo "/common/runtime not writable.";
elif [ ! -w "$BASEDIR/../custom/runtime" ];
then
    echo "/custom/runtime not writable.";
elif [ ! -w "$BASEDIR/../frontend/runtime" ];
then
    echo "/common/runtime not writable.";
else
    echo "All needed dirs are writable.";
fi