<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Shoppingcart module class file.
 */
class ShoppingcartModule extends WebCustModule
{
    /**
     * @var string the name of email template to notify a user
     */
    public $usermail_template;
    /**
     * @var string the name of email template to notify responsible administrator
     */
    public $adminemail_template;
    /**
     * @var int the lifetime of order session which measured in minutes
     */
    public $max_lifetime;
    /**
     * @var string domain on which cookie is set
     */
    public $cookie_domain;
    /**
     * @var float the value of shipping costs which is added to total sum of order
     */
    public $shipping_costs;
    /**
     * @var float the currency name which user sees near a price
     */
    public $currency;
    /**
     * @var string From this email will be send notifications
     */
    public $notificationsEmail = "shoppingcart@gentics.com";
    /**
     * @var boolean specify false if you want to disable captcha
     */
    public $captchaEnabled = true;
    /**
     * @var string Url of the page to which will be redirected user after checkout
     */
    public $thankyoupage = null;
    /**
     * @var int the number of seconds in which the cached value will expire. 0 means never expire.
     */
    public $cacheTime = 300;
    /**
     * Import dependent classes
     *
     * @return void
     */
    public function init()
	{
        parent::init();
        /*
         Yii::app()->getClientScript()->registerCssFile($this->getAssetsUrl() . '/css/shoppingcart.css');
         Yii::app()->clientScript->registerCoreScript('jquery');
         Yii::app()->getClientScript()->registerScriptFile($this->getAssetsUrl() . '/js/quantityValidator.js', CClientScript::POS_READY);
        **/
	}
}
